For the complete documentation index, see llms.txt. For the full documentation snapshot, see llms-full.txt.
Create a new extinction.
curl --request POST \
--url https://app.launchdarkly.com/api/v2/code-refs/repositories/{repo}/branches/{branch}/extinction-events \
--header 'Authorization: <api-key>' \
--header 'Content-Type: application/json' \
--data '
[
{
"revision": "a94a8fe5ccb19ba61c4c0873d391e987982fbbd3",
"message": "Remove flag for launched feature",
"time": "1636558831870",
"flagKey": "enable-feature",
"projKey": "default"
}
]
'{
"code": "invalid_request",
"message": "Invalid request body"
}Documentation Index
Fetch the complete documentation index at: https://launchdarkly-preview.mintlify.app/llms.txt
Use this file to discover all available pages before exploring further.
The repository name
The URL-encoded branch name
The identifier for the revision where flag became extinct. For example, a commit SHA.
"a94a8fe5ccb19ba61c4c0873d391e987982fbbd3"
Description of the extinction. For example, the commit message for the revision.
"Remove flag for launched feature"
Time of extinction
"1636558831870"
The feature flag key
"enable-feature"
The project key
"default"
Action succeeded
curl --request POST \
--url https://app.launchdarkly.com/api/v2/code-refs/repositories/{repo}/branches/{branch}/extinction-events \
--header 'Authorization: <api-key>' \
--header 'Content-Type: application/json' \
--data '
[
{
"revision": "a94a8fe5ccb19ba61c4c0873d391e987982fbbd3",
"message": "Remove flag for launched feature",
"time": "1636558831870",
"flagKey": "enable-feature",
"projKey": "default"
}
]
'{
"code": "invalid_request",
"message": "Invalid request body"
}